package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 用户账单对象 fs_user_bill
 *
 * @author fs
 * @date 2022-04-30
 */
@TableName("fs_user_bill")
public class FsUserBillScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户账单id */
    private Long billId;

    /** 用户uid */
    @Excel(name = "用户uid")
    private Long userId;

    /** 关联id */
    @Excel(name = "关联id")
    private String businessId;

    /** 明细分类  */
    @Excel(name = "明细分类 ")
    private String category;

    /** 类型 0 = 支出 1 = 获得 */
    @Excel(name = "类型 0 = 支出 1 = 获得")
    private Integer billType;

    /** 明细类型 */
    @Excel(name = "明细类型")
    private String type;

    /** 账单标题 */
    @Excel(name = "账单标题")
    private String title;

    /** 明细数字 */
    @Excel(name = "明细数字")
    private BigDecimal number;

    @Excel(name = "金额")
    private BigDecimal money;

    /** 剩余 */
    @Excel(name = "剩余")
    private BigDecimal balance;

    /** 0 = 带确定 1 = 有效 -1 = 无效 */
    @Excel(name = "0 = 带确定 1 = 有效 -1 = 无效")
    private Integer status;

    private Long tuiUserId;


    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public Long getTuiUserId() {
        return tuiUserId;
    }

    public void setTuiUserId(Long tuiUserId) {
        this.tuiUserId = tuiUserId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getBillId() {
        return billId;
    }

    public FsUserBillScrm setBillId(Long billId) {
        this.billId = billId;
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
